<?php
function business_multi_lite_customize_register($wp_customize){
    $wp_customize->add_section('business_multi_lite_header', array(
        'title'    => esc_html__('Business multi Header Phone and email', 'business-multi-lite'),
        'description' => '',
        'priority' => 30,
    ));
	
	 $wp_customize->add_section('business_multi_lite_social', array(
        'title'    => esc_html__('Business multi Social Link', 'business-multi-lite'),
        'description' => '',
        'priority' => 35,
    ));
	
	$wp_customize->add_section('business_multi_lite_footer', array(
        'title'    => esc_html__('Business multi Lite Footer', 'business-multi-lite'),
        'description' => '',
        'priority' => 37,
    ));
 
    //  =============================
    //  = Text Input phone number                =
    //  =============================
    $wp_customize->add_setting('business_multi_lite_phone', array(
        'default'        => '',
		'sanitize_callback' => 'sanitize_text_field'
    ));
 
    $wp_customize->add_control('business_multi_lite_phone', array(
        'label'      => esc_html__('Phone Number', 'business-multi-lite'),
        'section'    => 'business_multi_lite_header',
        'setting'   => 'business_multi_lite_phone',
		'type'    => 'text'
    ));
	
	//  =============================
    //  = Text Input Email                =
    //  =============================
    $wp_customize->add_setting('business_multi_lite_email', array(
        'default'        => '',
		'sanitize_callback' => 'sanitize_email'       
    ));
 
    $wp_customize->add_control('business_multi_lite_email', array(
        'label'      => esc_html__('Email', 'business-multi-lite'),
        'section'    => 'business_multi_lite_header',
        'setting'   => 'business_multi_lite_email',
		'type'    => 'email'
    ));
	
	//  =============================
    //  = Text Input facebook                =
    //  =============================
    $wp_customize->add_setting('business_multi_lite_fb', array(
        'default'        => '',
		'sanitize_callback' => 'esc_url_raw'
    ));
 
    $wp_customize->add_control('business_multi_lite_fb', array(
        'label'      => esc_html__('Facebook', 'business-multi-lite'),
        'section'    => 'business_multi_lite_social',
        'setting'   => 'business_multi_lite_fb',
    ));
	//  =============================
    //  = Text Input Twitter                =
    //  =============================
    $wp_customize->add_setting('business_multi_lite_twitter', array(
        'default'        => '',
		'sanitize_callback' => 'esc_url_raw'
    ));
 
    $wp_customize->add_control('business_multi_lite_twitter', array(
        'label'      => esc_html__('Twitter', 'business-multi-lite'),
        'section'    => 'business_multi_lite_social',
        'setting'   => 'business_multi_lite_twitter',
    ));
	//  =============================
    //  = Text Input googleplus                =
    //  =============================
    $wp_customize->add_setting('business_multi_lite_instagram', array(
        'default'        => '',
		'sanitize_callback' => 'esc_url_raw'
    ));
 
    $wp_customize->add_control('business_multi_lite_instagram', array(
        'label'      => esc_html__('Instagram', 'business-multi-lite'),
        'section'    => 'business_multi_lite_social',
        'setting'   => 'business_multi_lite_instagram',
    ));
	//  =============================
    //  = Text Input linkedin                =
    //  =============================
    $wp_customize->add_setting('business_multi_lite_in', array(
        'default'        => '',
		'sanitize_callback' => 'esc_url_raw'
    ));
 
    $wp_customize->add_control('business_multi_lite_in', array(
        'label'      => esc_html__('Linkedin', 'business-multi-lite'),
        'section'    => 'business_multi_lite_social',
        'setting'   => 'business_multi_lite_in',
    ));
	
	//  =============================
    //  = slider section              =
    //  =============================
    $wp_customize->add_section('business_multi_lite_banner', array(
        'title'    => esc_html__('Business Multi Lite Home banner Text', 'business-multi-lite'),
        'description' => esc_html__('add home banner text here.','business-multi-lite'),
        'priority' => 36,
    ));
   
// Banner heading Text
    $wp_customize->add_setting('banner_heading',array(
            'default'   => null,
            'sanitize_callback' => 'sanitize_text_field'    
    ));
    
    $wp_customize->add_control('banner_heading',array( 
            'type'  => 'text',
            'label' => esc_html__('Add Banner heading here','business-multi-lite'),
            'section'   => 'business_multi_lite_banner',
            'setting'   => 'banner_heading'
    )); // Banner heading Text

    // Banner heading Text
    $wp_customize->add_setting('banner_sub_heading',array(
            'default'   => null,
            'sanitize_callback' => 'sanitize_text_field'    
    ));
    
    $wp_customize->add_control('banner_sub_heading',array( 
            'type'  => 'text',
            'label' => esc_html__('Add Banner sub heading here','business-multi-lite'),
            'section'   => 'business_multi_lite_banner',
            'setting'   => 'banner_sub_heading'
    )); // Banner heading Text

  //  =============================
    //  = Footer              =
    //  =============================
	
	// Footer design and developed
	 $wp_customize->add_setting('business_multi_lite_design', array(
        'default'        => '',
		'sanitize_callback' => 'sanitize_textarea_field'
    ));
 
    $wp_customize->add_control('business_multi_lite_design', array(
        'label'      => esc_html__('Design and developed', 'business-multi-lite'),
        'section'    => 'business_multi_lite_footer',
        'setting'   => 'business_multi_lite_design',
		'type'	   =>'textarea'
    ));
	// Footer copyright
	 $wp_customize->add_setting('business_multi_lite_copyright', array(
        'default'        => '',
		'sanitize_callback' => 'sanitize_textarea_field'       
    ));
 
    $wp_customize->add_control('business_multi_lite_copyright', array(
        'label'      => esc_html__('Copyright', 'business-multi-lite'),
        'section'    => 'business_multi_lite_footer',
        'setting'   => 'business_multi_lite_copyright',
		'type'	   =>'textarea'
    ));	
}
add_action('customize_register', 'business_multi_lite_customize_register');
?>